| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# NTuple::Item< bool > Class Template Reference

`#include <NTuple.h>`

Inheritance diagram for NTuple::Item< bool >:

[legend]
Collaboration diagram for NTuple::Item< bool >:

[legend]
List of all members.

## Detailed Description

### template<>
class NTuple::Item< bool >

Specialization acting as a smart pointer holding a N tuple _Item.

Definition at line 297 of file NTuple.h.

## Public Member Functions
| Item ()
| Standard Constructor.
| operator const bool () const
| Automatic type conversion.
Item & | operator= (const bool data)
| Assignment operator.
template<class T>
Item & | operator= (const Item< T > &data)
| Assignment operator.
## Private Types
typedef Item< bool > | _My

## Member Typedef Documentation

typedef Item<bool> NTuple::Item< bool >::_My`[private]`

Definition at line 298 of file NTuple.h.

## Constructor & Destructor Documentation

NTuple::Item< bool >::Item | ( |  | ) | `[inline]`

Standard Constructor.

Definition at line 301 of file NTuple.h.

    00301 {    }

## Member Function Documentation

NTuple::Item< bool >::operator const bool | ( |  | ) | const`[inline]`

Automatic type conversion.

Definition at line 303 of file NTuple.h.

References NTuple::_Accessor< TYP >::m_ptr.

    00303 { return this->m_ptr->get();             }

Item& NTuple::Item< bool >::operator= | ( | const bool | data | ) | `[inline]`

Assignment operator.

Definition at line 305 of file NTuple.h.

References NTuple::_Accessor< TYP >::m_ptr.

    00305                                      {
    00306       this->m_ptr->set( data );
    00307       return *this;
    00308     }

template<class T>

Item& NTuple::Item< bool >::operator= | ( | const Item< T > & | data | ) | `[inline]`

Assignment operator.

Definition at line 311 of file NTuple.h.

References NTuple::_Accessor< TYP >::m_ptr.

    00311                                          {
    00312       this->m_ptr->set( data->get() );
    00313       return *this;
    00314     }

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/GaudiKernel/NTuple.h